Subject: Re: Work on IP fast rerouting in IGPs

From: Alex Zinin <[email-masked]>
Date: Tue, 11 May 2004 15:53:28 -0700

Folks-

Thursday, April 29, 2004, 12:42:40 PM, Alex Zinin wrote:
...
>  I also sense that it will be useful to produce a framework kind of document
>  explaining what we're talking about and how different pieces of technology fit
>  together. I would be fine with this, provided that it will be a lean and crisp
>  document that we can finish within months, and someone commits to take an
>  active (I mean really active) lead on this.

FYI, Mike Shand volunteered to work on such document and submit the first
version within a couple of week. I asked Mike to produce a very laconic and
precise document roughly along the following lines:

>  1. Introduction
>      - brief problem definition and scoping
>      - brief description of the desired results
>
>  2. Problem Analysis
>
>      -components of network rerouting time today (detection, local reaction,
>       network-wide topology update, route recalculation, fib update)
>
>  3. Mechanism for IP fast-reroute
>
>     - mechanisms for fast detection (link-layer, fast Hellos, BFD)
>
>     - node-local reaction before network-wide reconvergence
>
>     - FIB update--implementation-specific

Once Mike has something ready, we'll let the list know.

Thanks, Mike!

Alex

_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg